calamares (3.2.26.1-0pureos0.2) amber; urgency=medium

  * Lower dh compat level

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Mon, 06 Jul 2020 19:35:19 +0200

calamares (3.2.26.1-0pureos0.1) amber; urgency=medium

  * New upstream version: 3.2.26.1
    - Synchronize with byzantium to get a bunch of bugfixes in
  * Force Adwaita style when running in GNOME
  * Update standards version and build dependencies
  * Refresh patches
  * Update branding configuration for new version

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Mon, 06 Jul 2020 12:20:24 +0200

calamares (3.2.11-0pureos2) amber; urgency=medium

  * Change PureOS amber version number to 9.0
  * Tweak visual style a bit
  * Use some website texts for the placeholder slideshow content

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Thu, 26 Sep 2019 10:12:02 +0200

calamares (3.2.11-0pureos1) green; urgency=medium

  * New upstream version: 3.2.11

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Fri, 12 Jul 2019 18:12:00 +0200

calamares (3.2.7-0pureos3) green; urgency=medium

  * Don't install the original calamares.desktop
  * Automatically configure display manager for live installations (PB: #603)

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Sat, 04 May 2019 16:36:04 +0200

calamares (3.2.7-0pureos2) green; urgency=medium

  * Adjust main settings for changed module names and new configuration
  * branding: Be fullscreen by default, don't resize logo
  * Install standard config for some modules for now
    - We should override them all in the future, but for now let's revert
      back to the previous behavior and use default settings where not
      explicitly overridden.
  * Reorganize module configuration overrides

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Wed, 01 May 2019 14:38:38 +0200

calamares (3.2.7-0pureos1) green; urgency=medium

  * New upstream version: 3.2.7
  * Refresh patches
  * Don't try to remove syslinux-themes, they have been
    removed from the archive (PB: #747)
  * pureos-default-partitioning-settings.patch: Adjust to API changes

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Wed, 01 May 2019 10:24:52 +0200

calamares (3.2.1-0pureos8) green; urgency=medium

  * Rebuild against new libyaml-cpp
  * Add 'noearly' option to swap partitions in crypttab

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Fri, 18 Apr 2019 18:26:12 +0200

calamares (3.2.1-0pureos7) green; urgency=medium

  * Revert fstab changes from previous revision
    - They were not required and could have caused issues.

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Tue, 04 Sep 2018 21:12:14 +0200

calamares (3.2.1-0pureos6) green; urgency=medium

  * Ensure we use the device-ID path instead of an UUID for
    formatting swap disks when encryption is used.
    Also ensure fstab and crypttab stay in sync.
  * Refresh patches

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Tue, 04 Sep 2018 20:03:56 +0200

calamares (3.2.1-0pureos5) green; urgency=medium

  * Sort fstab module after luksbootkeyfile
  * Change pureos-default-partitioning-settings.patch
    - Always reformat swap on boot, like we do for OEM installs (PB: #559)

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Sun, 02 Sep 2018 21:54:15 +0200

calamares (3.2.1-0pureos4) green; urgency=medium

  * oem: Encrypt swap with aes-xts-plain64 instead of aes-cbc-essiv
  * Add missing colon to slideshow text (PB: #548)

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Sun, 26 Aug 2018 20:38:24 +0200

calamares (3.2.1-0pureos3) green; urgency=medium

  * grubcfg-only-decrypt-boot.patch: Ensure GRUB doesn't try to decrypt disks
    that it actually does not need to decrypt to get the system running.

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Fri, 24 Aug 2018 22:48:20 +0200

calamares (3.2.1-0pureos2) green; urgency=medium

  * Add new user to kvm group by default

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Wed, 18 Jul 2018 22:10:58 +0200

calamares (3.2.1-0pureos1) green; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 3.2.1
  * Drop appstream-ignore.patch: Applied upstream

  [ Chris Lamb ]
  * Update Maintainer (from "PureOS Developers" to "PureOS Maintainers") to appease Lintian.

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Sat, 30 Jun 2018 18:46:25 +0200

calamares (3.2~rc4-0pureos5) green; urgency=medium

  * set-debconf-selections-for-grub.patch: Register GRUB settings
    with Debconf as well (PB: #385)
  * Never add Calamares application to AppStream metadata (PB: #405)

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Thu, 26 Apr 2018 11:48:36 +0200

calamares (3.2~rc4-0pureos4) green; urgency=medium

  * Add runtime dependency on qml-module-qtquick-controls
  * Make slideshow image fill the whole background
  * Don't run networkcfg module, it breaks resolv.conf on PureOS

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Sun, 08 Apr 2018 20:02:20 +0200

calamares (3.2~rc4-0pureos3) green; urgency=medium

  * oem: Use device ID alias for swap reencryption
  * Drop "GNU/Linux" from PureOS name string

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Sun, 08 Apr 2018 17:52:45 +0200

calamares (3.2~rc4-0pureos2) green; urgency=medium

  * oem: Always encrypt swap with a random password on boot

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Fri, 06 Apr 2018 12:54:52 +0200

calamares (3.2~rc4-0pureos1) green; urgency=medium

  * New upstream version: 3.2~rc4
  * Don't set Plymouth theme again in Calamares

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Thu, 05 Apr 2018 16:45:02 +0200

calamares (3.2~rc3-0pureos7) green; urgency=medium

  * Run plymouthcfg module before configuring GRUB

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Sat, 31 Mar 2018 12:45:04 +0200

calamares (3.2~rc3-0pureos6) green; urgency=medium

  * oem crypto: Add LUKS UUID to encrypted partition state file

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Wed, 21 Mar 2018 21:52:04 +0100

calamares (3.2~rc3-0pureos5) green; urgency=medium

  * Update configuration for casper
  * oem crypto: Save LUKS root device in state file
  * Update Vcs-* URLs

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Wed, 21 Mar 2018 19:28:36 +0100

calamares (3.2~rc3-0pureos4) green; urgency=medium

  * OEM: Always delete the LUKS password in favor of the keyfile

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Thu, 15 Mar 2018 22:08:28 +0100

calamares (3.2~rc3-0pureos3) green; urgency=medium

  * Split OEM components into their own package
  * Refresh OEM install steps
  * Add module to temporarily bypass encryption in OEM scenarios
  * Replace placeholder logo with simpletext PureOS logo (PT: 114)

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Wed, 14 Mar 2018 21:04:45 +0100

calamares (3.2~rc3-0pureos2) green; urgency=medium

  * Always invoke initramfscfg module
  * Set-PureOS-default-partitioning-settings.patch: Experimental patch
    to set PureOS default partitioning settings and make encryption work
    well out of the box
  * Ensure displayed logo is not the Purism logo

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Mon, 12 Mar 2018 10:34:46 +0100

calamares (3.2~rc3-0pureos1) green; urgency=medium

  * New upstream version 3.2~rc3
  * Wrap and sort
  * Use dh compat level 11

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Sun, 11 Mar 2018 19:10:40 +0100

calamares (3.1.10-0pureos1) green; urgency=medium

  * New upstream version: 3.1.10
  * Merge in packaging from Debian, so we are more in sync
    with the Calamares packaging in Debian (and can likely switch
    to just patching the Debian package at some point)

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Thu, 18 Jan 2018 21:46:12 +0100

calamares (3.1.4-0pureos1) green; urgency=medium

  * New upstream version: 3.1.4
  * Switch to dh 10
  * Update library package names
  * Bump standards version: No changes needed
  * Don't install the crash reporter for now

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Tue, 12 Sep 2017 22:54:50 +0200

calamares (3.1.0-0pureos6) green; urgency=medium

  * Do not show the OEM installer
  * Make installations with LUKS succeed

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Wed, 31 May 2017 21:58:36 +0200

calamares (3.1.0-0pureos5) green; urgency=medium

  * gnomeoemsetup: Fix a few bugs in the setup script
  * Jump to PureOS version 8
  * Make PureOS logo brighter

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Mon, 29 May 2017 21:40:18 +0200

calamares (3.1.0-0pureos4) green; urgency=medium

  * Do not handle GRUB for EFI support
  * Add OEM config for Calamares
  * Add some hacks to make two Calamares configs coexist
  * Add small module to set up GNOME OEM

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Sat, 27 May 2017 21:55:14 +0200

calamares (3.1.0-0pureos3) green; urgency=medium

  * GNOME sometimes does not set XDG_SESSION_TYPE, account for that
    when testing for the running display server.
  * Run Calamares via Xwayland when on Wayland - the native version
    has a couple of bugs, likely related to drivers and Qt's Wayland-QPA.

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Thu, 25 May 2017 00:08:25 +0200

calamares (3.1.0-0pureos2) green; urgency=medium

  * Add a helper script to run Calamares on Wayland
    - This is a really terrible hack, but with Calamares' current
      architecture, there is no other way to make it work at all
      on Wayland.

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Wed, 24 May 2017 20:06:54 +0200

calamares (3.1.0-0pureos1) green; urgency=medium

  * Initial upload for PureOS based on Tanglu packaging.
  * This release is for testing only, do not use Calamares for
    productive installations of PureOS yet!

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Wed, 10 May 2017 22:48:42 +0200

calamares (2.4.1-0tanglu1) staging; urgency=medium

  * New upstream version: 2.4.1
  * Give pkexec a shell as parent to correctly launch on GNOME

 -- Matthias Klumpp <mak@debian.org>  Sun, 02 Oct 2016 22:50:21 +0200

calamares (2.3-0tanglu2) staging; urgency=medium

  * Enforce building with WebKit instead of WebEngine
  * Bump standards version: No change needed

 -- Matthias Klumpp <mak@debian.org>  Thu, 14 Jul 2016 19:42:52 +0200

calamares (2.3-0tanglu1) staging; urgency=medium

  * New upstream release: 2.3

 -- Matthias Klumpp <mak@debian.org>  Thu, 14 Jul 2016 17:15:34 +0200

calamares (2.2.2-0tanglu4) staging; urgency=medium

  * Make installation from USB medium work (TT: #222)

 -- Matthias Klumpp <mak@debian.org>  Thu, 14 Jul 2016 17:07:48 +0200

calamares (2.2.2-0tanglu3) staging; urgency=medium

  * Don't fail if efiBootLoader setting is not set.

 -- Matthias Klumpp <mak@debian.org>  Sat, 21 May 2016 08:38:50 +0200

calamares (2.2.2-0tanglu2) staging; urgency=medium

  * Add plugin to install the right GRUB flavor on the target system
    - This resolves TT: #219, the last remaining UEFI blocker bug.

 -- Matthias Klumpp <mak@debian.org>  Thu, 19 May 2016 21:42:04 +0200

calamares (2.2.2-0tanglu1) staging; urgency=medium

  * New upstream release: 2.2.2

 -- Matthias Klumpp <mak@debian.org>  Sat, 14 May 2016 15:46:04 +0200

calamares (2.2-0tanglu1) staging; urgency=medium

  [ Matthias Klumpp ]

  * New upstream release: 2.2
  * Add gbp.conf

  [Jörn Schönyan]

  * Add minimum version for build dependency libkpmcore-dev (>= 2.1)

 -- Matthias Klumpp <mak@debian.org>  Thu, 31 Mar 2016 17:18:16 +0200

calamares (2.0-0tanglu2) staging; urgency=medium

  * Drop installer pkexec helper
  * Update settings

 -- Matthias Klumpp <mak@debian.org>  Sat, 12 Mar 2016 18:46:42 +0100

calamares (2.0-0tanglu1) staging; urgency=medium

  * New upstream release: 2.0

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 Feb 2016 10:40:56 +0100

calamares (1.1.4.2-0tanglu2) staging; urgency=medium

  * Look for the root filesystem in the right location.
  * Remove the additional live packages in the postinstall step.
  * Make icon look less terrible.

 -- Matthias Klumpp <mak@debian.org>  Thu, 12 Nov 2015 22:14:56 +0100

calamares (1.1.4.2-0tanglu1) staging; urgency=medium

  * New upstream release: 1.1.4.2
  * Update configuration

 -- Matthias Klumpp <mak@debian.org>  Thu, 22 Oct 2015 15:22:24 +0200

calamares (1.1.2-0tanglu1) staging; urgency=medium

  * New upstream bugfix release: 1.1.2
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 18 Jul 2015 08:04:06 +0200

calamares (1.1.1+git20150715.afe4d34-0tanglu1) staging; urgency=medium

  * Packages upstream Git snapshot: 1.1.1+git20150715.afe4d34
    - Should fix RC bug (TT: #122)

 -- Matthias Klumpp <mak@debian.org>  Wed, 15 Jul 2015 14:02:58 +0200

calamares (1.1-0tanglu3) staging; urgency=medium

  * Allow going forward when root-password is set to invalid
    - A sudo-based setup is the default, this should fix a nasty bug.
  * Ask for confirmation if quitting during installation

 -- Matthias Klumpp <mak@debian.org>  Thu, 02 Jul 2015 11:40:50 +0200

calamares (1.1-0tanglu2) staging; urgency=medium

  * Do not allow user to set a root password during installation
    - A "sudo passwd" will still do the job after installation.

 -- Matthias Klumpp <mak@debian.org>  Wed, 01 Jul 2015 10:12:14 +0200

calamares (1.1-0tanglu1) staging; urgency=medium

  * New upstream release: 1.1
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 Jun 2015 22:36:14 +0200

calamares (1.0.1+git20150610.1aa3d5af-0tanglu1) staging; urgency=medium

  * New upstream Git snapshot: 1.0.1+git20150610.1aa3d5af
  * Define Boost.Python3 component manually to fix build failure

 -- Matthias Klumpp <mak@debian.org>  Wed, 10 Jun 2015 19:22:02 +0200

calamares (1.0.1+git20150520.d5a42a65-0tanglu3) staging; urgency=medium

  * Add launch wrapper to Calamares to fix GNOME starting issue

 -- Matthias Klumpp <mak@debian.org>  Sat, 30 May 2015 15:20:34 +0200

calamares (1.0.1+git20150520.d5a42a65-0tanglu2) staging; urgency=medium

  * Fix section names
  * Replace greeting/prepare module with welcome module

 -- Matthias Klumpp <mak@debian.org>  Fri, 22 May 2015 21:02:34 +0200

calamares (1.0.1+git20150520.d5a42a65-0tanglu1) staging; urgency=medium

  * New upstream Git snapshot: 20150520/d5a42a65
  * Split out the Tanglu slideshow to a separate package

 -- Matthias Klumpp <mak@debian.org>  Wed, 20 May 2015 15:04:10 +0200

calamares (1.0.1+git20150329.a253101258-0tanglu2) staging; urgency=medium

  * Make release known as "Alpha1" instead of "Development Snapshot"

 -- Matthias Klumpp <mak@debian.org>  Mon, 30 Mar 2015 08:12:54 +0200

calamares (1.0.1+git20150329.a253101258-0tanglu1) staging; urgency=medium

  * New upstream Git snapshot
  * Update Tanglu settings and branding

 -- Matthias Klumpp <mak@debian.org>  Sun, 29 Mar 2015 20:10:46 +0200

calamares (1.0.1-0tanglu5) staging; urgency=medium

  * Add a temporary icon for the live-installer

 -- Matthias Klumpp <mak@debian.org>  Sun, 01 Mar 2015 22:10:04 +0100

calamares (1.0.1-0tanglu4) staging; urgency=medium

  * Make Tanglu branding the default

 -- Matthias Klumpp <mak@debian.org>  Tue, 17 Feb 2015 22:42:10 +0100

calamares (1.0.1-0tanglu3) staging; urgency=medium

  * Change build dependencies to be more strict for the
    Boost.Python library.

 -- Matthias Klumpp <mak@debian.org>  Tue, 17 Feb 2015 22:15:58 +0100

calamares (1.0.1-0tanglu2) staging; urgency=medium

  * Add missing dependency on qtquick-controls
  * Add some minimal Tanglu branding

 -- Matthias Klumpp <mak@debian.org>  Tue, 17 Feb 2015 14:42:10 +0100

calamares (1.0.1-0tanglu1) staging; urgency=medium

  * Initial release for Tanglu

 -- Matthias Klumpp <mak@debian.org>  Sun, 08 Feb 2015 18:30:15 +0100
